Subject: [bug#47392] [PATCH 0/2] Add Laminar.

From: Lars-Dominik Braun <[email-masked]>
Date: Wed, 7 Apr 2021 08:35:19 +0200

Hi Chris,

> I wonder if it would be possible to, instead, get the non-minified files
> upstream, and minify them with ‘uglify-js’, as is done in ‘hpcguix-web’.
> WDYT?
you could also use the new node-build-system in combination with Jelle’s
WIP node importer in the branch wip-node-importer. Use something like:

	guix environment guix --ad-hoc guile-semver
	./pre-inst-env guix import npm-binary -r chart.js '^2.7'

I’ve run the imports for Laminar and attached a file with packages.
Usually there’s a dist/ directory in the output that contains minified
JavaScript.  Obviously that isn’t a full source build (yet).

Cheers,
Lars